Bug 26985 - e100 driver in kernel 2.2.17-14
Summary: e100 driver in kernel 2.2.17-14
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
: 26995 27450 28250 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-10 21:49 UTC by Joseph Ashby
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-02-19 04:42:56 UTC


Attachments (Terms of Use)
Patch we are using to fix this bug (337.17 KB, patch)
2001-02-14 18:42 UTC, Michael K. Johnson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:047 normal SHIPPED_LIVE : Linux kernel 2.2.19 now available, provides security fixes, enhancements 2001-04-10 04:00:00 UTC

Description Joseph Ashby 2001-02-10 21:49:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-14 i686)


The e100 driver is not in the kernel-2.2.17-14 rpms and is not being built
in net drivers Makefile

Reproducible: Always
Steps to Reproduce:
1. Look in the drivers/net/Makefile, e100.o does not exist
2. Also CONFIG_E100 not in drivers/net/Makefile
3.

Comment 1 Bill Nottingham 2001-02-11 08:05:03 UTC
*** Bug 26995 has been marked as a duplicate of this bug. ***

Comment 2 Bill Nottingham 2001-02-13 23:38:24 UTC
*** Bug 27450 has been marked as a duplicate of this bug. ***

Comment 3 Michael K. Johnson 2001-02-14 00:08:22 UTC
Yes, this is a bug.  Our next errata kernel will fix this.

Comment 4 Michael K. Johnson 2001-02-14 18:42:26 UTC
Created attachment 10040 [details]
Patch we are using to fix this bug

Comment 5 Michael K. Johnson 2001-02-14 18:43:42 UTC
I have attached the fixed e100 patch that can be dropped into the sources
directory in place of the existing linux-2.2.17-e100.patch to rebuild
the kernel if you like as a workaround until we release the errata kernel
(there are a few other bugs to track down first...)

 rpm -i kernel-2.2.17-14.src.rpm
 cd /usr/src/redhat/SOURCES
 <copy the attachment to linux-2.2.17-e100.patch>
 cd ../SPECS
 rpm -ba kernel-2.2.spec
 rpm -ba kernel-2.2.spec --target i686
                              (or i586)


Comment 6 Bill Nottingham 2001-02-19 04:42:53 UTC
*** Bug 28250 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.